document.addEventListener("DOMContentLoaded", function() {

    // Create the popup container

    var popup = document.createElement("div");

    popup.id = "popup";

    popup.className = "popup";



    // Create the popup text element

    var popupText = document.createElement("p");

    popupText.id = "popupText";

    popup.appendChild(popupText);



    // Append the popup to the body

    document.body.appendChild(popup);



    // Add CSS dynamically

    var style = document.createElement("style");

    style.innerHTML = `

        .popup {

            display: none;

            position: fixed;

            top: 88%;

            left: 50%;

            transform: translate(-50%, -50%);

            background-color: rgba(255, 255, 255, 0.6);

            border-left: 5px solid #0074e4;

            padding: 20px;

            box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);

            z-index: 999;

            font-size: 18px;

            font-weight: bold;

            color: #000;

        }

        @media (max-width: 768px) {

            .popup {

                padding: 10px;

                font-size: 13px; 

                width: 100%;

            }

        }

    `;

    document.head.appendChild(style);



    // JavaScript content for popup functionality

    var maleNames = [

        "amin", "Arif", "Bagus", "ipal", "Budi", "Cahyo", "ridho", "gopay", "ilham", "Eka", 

        "eko", "Fariz", "iyan", "vinji", "wandi", "Hari", "Ihsan", "Irfan", "Jaka", "Johan",

        "Kurniawan", "Lukman", "Mahendra", "Nugroho", "Pratama", "Raden", "Rama", "Randi", "Rizki", "Setiawan",

        "Satria", "Sigit", "Sugeng", "Surya", "Teguh", "Tio", "Usman", "Wahyu", "Wawan", "Yudi",

        "tatum", "hasan", "hendri", "Dimas", "heri", "Hendra", "Ilham", "suarez", "irwan", "kodir"

    ];



    var pragmaticPlayGameNames = [

        "Pragmatic Play - Wolf Gold", "Pragmatic Play - Great Rhino", "Pragmatic Play - Mustang Gold", "Pragmatic Play - Chilli Heat", "Pragmatic Play - The Dog House",

        "Pragmatic Play - Sweet Bonanza", "Pragmatic Play - Gates of Olympus", "Pragmatic Play - Madame Destiny", "Pragmatic Play - Book of Tut", "Pragmatic Play - Buffalo King",

        "Pragmatic Play - Big Bass Bonanza", "Pragmatic Play - Joker's Jewels", "Pragmatic Play - Aztec Bonanza", "Pragmatic Play - Wild Wild Riches", "Pragmatic Play - John Hunter and the Mayan Gods",

        "Pragmatic Play - John Hunter and the Book of Tut", "Pragmatic Play - The Hand of Midas", "Pragmatic Play - Gems Bonanza", "Pragmatic Play - Curse of the Werewolf Megaways", "Pragmatic Play - Mysterious Egypt"

    ];



    var pgSoftGameNames = [

        "PG Soft - Tree of Fortune", "PG Soft - Bikini Paradise", "PG Soft - Hood vs Wolf", "PG Soft - Ganesha Gold", "PG Soft - Medusa II",

        "PG Soft - Romeo", "PG Soft - Queen of the North", "PG Soft - Dragon Legend", "PG Soft - Santa's Gift Rush", "PG Soft - The Magical Lamp",

        "PG Soft - Muay Thai Champion", "PG Soft - The Great Icescape", "PG Soft - Hip Hop Panda", "PG Soft - Honey Trap of Diao Chan", "PG Soft - Bull Demon King",

        "PG Soft - Bombs Away", "PG Soft - Bingo", "PG Soft - Leprechaun Riches", "PG Soft - Sherlock's Casebook", "PG Soft - Bikini Chaser", "PG Soft - Gong He Xin Xi"

    ];



    function generateRandomNominal() {

        var randomNumber = Math.floor(Math.random() * 3000000) + 1000000;

        return "Rp. " + randomNumber.toLocaleString('id-ID');

    }



    function showRandomPopup() {

        var popup = document.getElementById("popup");

        var popupText = document.getElementById("popupText");



        var randomName = maleNames[Math.floor(Math.random() * maleNames.length)];



        var firstHalf = randomName.slice(0, Math.ceil(randomName.length / 2));

        var censoredName = firstHalf + "****";



        var gameName;

        if (Math.random() < 0.5) {

            gameName = pragmaticPlayGameNames[Math.floor(Math.random() * pragmaticPlayGameNames.length)];

        } else {

            gameName = pgSoftGameNames[Math.floor(Math.random() * pgSoftGameNames.length)];

        }



        var randomMessage = `SIWATOTO : (ID: ${censoredName}) Telah Mendapatkan Jackpot Maxwin di Game ${gameName} ${generateRandomNominal()}`;



        popupText.textContent = randomMessage;

        popup.style.display = "block";



        setTimeout(function() {

            popup.style.display = "none";

        }, 4000);

    }



    setInterval(showRandomPopup, 10000);

});
